
SELinux - Bug #5882

Allow foreman to reach dynflow

05/22/2014 03:47 PM - Lukas Zapletal

Status: Rejected   

Priority: Urgent   

Assignee: Lukas Zapletal   

Category: Packaging   

Target version: 1.8.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hotfix for https://bugzilla.redhat.com/show_bug.cgi?id=1098244

History

#1 - 05/22/2014 04:04 PM - Lukas Zapletal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman-selinux/pull/17

#2 - 05/22/2014 04:11 PM - Lukas Zapletal

# tail -f /var/log/audit/audit.log | grep AVC

type=AVC msg=audit(1400258033.035:164): avc:  denied  { relabelto } for  pid=8510 comm="ruby" name="yaml" dev=

dm-0 ino=537367 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:puppet_var_lib_t:s0 t

class=dir

type=AVC msg=audit(1400258033.076:165): avc:  denied  { relabelto } for  pid=8510 comm="ruby" name="masterhttp

.log" dev=dm-0 ino=536269 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:puppet_log_

t:s0 tclass=file

type=AVC msg=audit(1400258033.337:166): avc:  denied  { relabelto } for  pid=8510 comm="ruby" name="ca_crt.pem

" dev=dm-0 ino=536250 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:puppet_var_lib_

t:s0 tclass=file

type=AVC msg=audit(1400258050.395:167): avc:  denied  { write } for  pid=8914 comm="ruby" name="dynflow_socket

" dev=dm-0 ino=282452 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=unconfined_u:object_r:foreman_var

_run_t:s0 tclass=sock_file

type=AVC msg=audit(1400258050.395:167): avc:  denied  { connectto } for  pid=8914 comm="ruby" path="/var/run/f

oreman/sockets/dynflow_socket" scontext=unconfined_u:system_r:passenger_t:s0 tcontext=unconfined_u:system_r:in

itrc_t:s0 tclass=unix_stream_socket

#3 - 05/23/2014 08:46 AM - Lukas Zapletal

- Status changed from Ready For Testing to Rejected

We need tasks policy really, testing that.
